<template>
  <v-app>
    <v-navigation-drawer app left absolute temporary v-model="drawer">
      <v-list-item-group>
        <v-list-item v-for="item in menuItems" :key="item.id">
          <v-list-item-title>
            <router-link :to="item.url">{{ item.name }}</router-link>
          </v-list-item-title>
        </v-list-item>
      </v-list-item-group>
    </v-navigation-drawer>
    <v-app-bar app color="green">
      <v-app-bar-nav-icon @click="drawer = !drawer"/>
      <v-app-bar-title>
        <v-container class="navigation">
          <v-container class="navigation__title">
            <router-link to="/medicalStaff_home">
              <h3 class="text-h4 white--text">Медицинские услуги</h3>
            </router-link>
          </v-container>
          <v-container class="navigation__btn">
              <v-btn color="#AFFFCF" @click="exit">
                Выйти
              </v-btn>
          </v-container>
        </v-container>
      </v-app-bar-title>
    </v-app-bar>
    <v-main>
      <router-view></router-view>
    </v-main>
  </v-app>
</template>

<script>
export default {
  name: "MedicalStaffNavigation",
  data() {
    return {
      drawer: false,
      menuItems: [
        {
          id: 0,
          name: 'Распределение пациентов',
          url: '/distribution_patient_by_ward'
        },
        {
          id: 1,
          name: 'Список медперсонала',
          url: '/medical_staff_list'
        },
        {
          id: 2,
          name: 'Лечение пациента',
          url: '/diseaseHistory'
        },
        {
          id: 3,
          name: 'Назначение лечения',
          url: '/purpose_of_treatment'
        },
        {
          id: 4,
          name: 'Выполнение лечения',
          url: '/perfomingTreatment'
        },
        {
          id: 5,
          name: 'Рекомендации по услугам',
          url: '/diseaseRecommendation'
        },
        {
          id: 6,
          name: 'Рекомендации по лекарствам',
          url: '/drug_recommendation'
        },
        {
          id: 7,
          name: 'Отчёт о динамике заболеваемости',
          url: '/disease_dynamic_report'
        },
        {
          id: 8,
          name: 'Отчёт по диагнозам',
          url: '/dynamic_report'
        },
        {
          id: 9,
          name: 'Выписка рецепта',
          url: '/receipt_report'
        },
        {
          id: 10,
          name: 'Прейскурант',
          url: '/price_list_report'
        },
        {
          id: 11,
          name: 'Диаграмма',
          url: '/diagram_ward'
        },
        {
          id: 12,
          name: 'Архивация',
          url: '/service_drug_archive'
        },
      ]
    }
  },

  methods: {
    exit() {
      this.$router.push('/app')
      window.location.reload()
    }
  }
}
</script>

<style lang="scss" scoped>
.v-list-item__title {
  a {
    text-decoration: none;
    color: #000000;
  }
}

.v-toolbar__title {
  a {
    text-decoration: none;
  }
}

.v-app-bar-title__content {
  width: 100% !important;
}

.navigation {
  display: flex !important;
  width: 100% !important;

  &__btn {
    display: flex;
    justify-content: right;
  }
}
</style>